Bug 741287 - ResourceChangeScanner fails to scan DRF resource
Summary: ResourceChangeScanner fails to scan DRF resource
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion)
Version: BRMS 5.2.0.GA
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: BRMS 5.3.0.GA
Assignee: Edson Tirelli
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 13:53 UTC by Jiri Svitak
Modified: 2015-06-02 01:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The KnowledgeAgent's ResourceChangeScanner failed to scan .rf resources and threw a illegalStateException. This has been resolved and error no longer occurs.
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
Class to reproduce bug (4.54 KB, application/zip)
2011-09-26 13:53 UTC, Jiri Svitak
no flags Details


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBRULES-3358 Major Closed Fix reload of KnowledgeAgent resources: CSV, XLS, BPMN, DRF, PKG 2014-07-04 05:49:49 UTC
Red Hat Bugzilla 733008 None None None Never
Red Hat Bugzilla 741219 None None None Never
Red Hat Bugzilla 751319 None None None Never
Red Hat Bugzilla 751326 None None None Never

Internal Links: 741219 751319 751326

Description Jiri Svitak 2011-09-26 13:53:03 UTC
Created attachment 524912 [details]
Class to reproduce bug

Description of problem:
ResourceChangeScanner fails to scan DRF (.rf) resource. The same exception is thrown when scanning XLS file and PKG from Guvnor. Other resource format scanning seems to work fine.

Exception in thread "Thread-3" java.lang.IllegalStateException: reader does have a modified date
	at org.drools.io.impl.ReaderResource.getLastModified(ReaderResource.java:64)
	at org.drools.io.impl.ResourceChangeScannerImpl.scan(ResourceChangeScannerImpl.java:166)
	at org.drools.io.impl.ResourceChangeScannerImpl$ProcessChangeSet.run(ResourceChangeScannerImpl.java:311)
	at java.lang.Thread.run(Thread.java:679)


Version-Release number of selected component (if applicable):
BRMS 5.2.0 ER4

How reproducible:
Create knowledge agent and set scan for changed .rf file. Scan of DRF then fails.

Steps to Reproduce:
1. Unzip attached file.
2. Run java appliacation to reproduce bug.

Actual results:
Scan of DRF resource throws exception.

Expected results:
Scanning of all resources specified in changeset schema should work.

Additional info:

Comment 1 Edson Tirelli 2012-01-23 21:49:53 UTC
Fixed. Problem was the same as for BPMN files.

Comment 2 Ryan Zhang 2012-02-15 09:12:37 UTC
Please verify the issue on 5.3 ER4.

Comment 3 Jiri Svitak 2012-02-21 09:54:13 UTC
Verified in 5.3 ER4.

Comment 5 lcarlon 2012-06-06 02:21:45 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The KnowledgeAgent's ResourceChangeScanner failed to scan .rf resources and threw a illegalStateException. This has been resolved and error no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.